Skip to content

Switch Status Setting



POST /api/v1/login_mapping/set_disable

Overview

Body Request Parameters

Parameter Name Type Required Description
isDisable boolean Whether to disable
Example: True
Allow empty: False
Allowed values: [True, False]
type string Scope type when enabled
Example: GlobalValid
Allow empty: False
Allowed values: ['ValidOnFirstLogin', 'GlobalValid', 'Append']

Parameter Supplementary Description

  • type Parameter Description*
Allowed Value Description
ValidOnFirstLogin Indicates that when mapping configuration is enabled, it is only effective during the user's first login.
GlobalValid Indicates that when mapping configuration is enabled, it is effective every time the user logs in; serves as the default value.
Append Indicates that when mapping configuration is enabled, the single sign-on user account will have workspaces appended and roles assigned according to the mapping rules. The user's original workspaces and roles are unaffected. If a member's role is Standard, and a new mapping rule later assigns the Administrator role, the user will have both the Standard and Administrator roles simultaneously.

Request Example

curl 'https://external-api.guance.com/api/v1/login_mapping/set_disable' \
  -X 'POST' \
  -H 'Content-Type: application/json' \
  -H 'X-Df-Access-Key: <AK key>' \
  -H 'X-Df-Nonce: <Random characters>' \
  -H 'X-Df-Signature: <Signature>' \
  -H 'X-Df-Timestamp: <Timestamp>' \
  --data-raw $'{"isDisable": true,"type": "GlobalValid"}'

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-A70C8126-9E92-4DF5-B387-59BD9B63C587"
} 

Feedback

Is this page helpful? ×